Package org.eclipse.spi.net4j

# Enum Class InternalChannel.SendQueueEvent.Type

java.lang.Object
java.lang.Enum<InternalChannel.SendQueueEvent.Type>
org.eclipse.spi.net4j.InternalChannel.SendQueueEvent.Type

All Implemented Interfaces:
  `Serializable`, `Comparable<InternalChannel.SendQueueEvent.Type>`, `Constable`

Enclosing interface:
  InternalChannel.SendQueueEvent

public static enum InternalChannel.SendQueueEvent.Type extends Enum<InternalChannel.SendQueueEvent.Type>
Enumerates the possible `send queue` `event` types.

Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DEQUEUED`
`ENQUEUED`

## Method Summary

Modifier and Type
Method
Description
`static InternalChannel.SendQueueEvent.Type`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static InternalChannel.SendQueueEvent.Type[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ENQUEUED

public static final InternalChannel.SendQueueEvent.Type ENQUEUED

### DEQUEUED

public static final InternalChannel.SendQueueEvent.Type DEQUEUED

## Method Details

### values

public static InternalChannel.SendQueueEvent.Type[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static InternalChannel.SendQueueEvent.Type valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null